import os, sys
import marshal
# from ..backend.XMLStorage import XMLStorage
from PrologGenerator import *
from VariableGenerator import *
from networkx import *

class TestPrologGenerator(object):
        
    def test_generator(self):
        """Test the prolog generator"""
        pg = PrologGenerator()
        pg.generate("sample/generated_test.P")
        # print >> sys.stderr, "current var: " + unique_variable_generator.next()
        
    def test_signature(self):
        """Test the signature class"""
        inf = open("data/db.model")
        m = marshal.load(inf)
        inf.close()
        s = Signature(m, "User", "Permission")
        #g = s.create_dep_graph()
        # print >> sys.stderr, "Number edges: %d" % number_of_edges(g)
        assert(number_of_edges(s.g) == 4)
        assert(number_of_nodes(s.g) == 4)
        #sp = s.shortest_path()
        assert (s.get_arg_count() == 8)
        #print >> sys.stderr, sp
    
    def test_something(self):
        """just something"""
        pass