import os, sys
import marshal
from InformationParser import *
from ModelParser import *

class TestInfoParser(object):
        
    def test_info_parser(self):
        """Test the information parser"""
        ip = InformationParser()
        res = ip.parse("sample/sample_info.xml")
        assert (res['Role'][0]['rid'] == u'2')
        assert (res['User'][0]['userName'] == u'name1')
        assert (res['User'][0]['uid'] == u'1')
    
    def test_marshaling(self):
        """The marshaling of info file"""
        inf = open('data/db.information')
        a = marshal.load(inf)
        inf.close()
        assert (a['Role'][0]['rid'] == u'2')
        assert (a['User'][0]['userName'] == u'name1')
        assert (a['User'][0]['uid'] == u'1')
        
