import os, sys
import marshal
# from ..backend.XMLStorage import XMLStorage
from ModelParser import *

class TestModelParser(object):
        
    def test_class_parser(self):
        """Test the class def extractor"""
        ucr = UMLClassReader()
        dl = ucr.parse("sample/sample.xmi")
        # print >> sys.stderr, dl
        assert ("User" == dl['classDefs'][0]['name'])
        # assert ("-124--26-16--31-28e5b36d:117c0f7444c:-8000:000000000000077C" == dl[0].xmi_id)
        assert ("uid", dl['classDefs'][0]['attrs'][0])
        assert ("userName", dl['classDefs'][0]['attrs'][1])

        assert ("Role" == dl['classDefs'][1]['name'])
        # assert ("-124--26-16--31-28e5b36d:117c0f7444c:-8000:000000000000077E" == dl[1].xmi_id)
        assert ("rid", dl['classDefs'][1]['attrs'][0])
        
        #assert (dl['dependencyDefs'][0][0] == dl['classDefs'][1]['xmi_id'])
        
    def test_model_parser(self):
        """Test parser and marshaling of data"""
        mp = ModelParser()
        mp.parse("sample/sample.xmi")
        # We need to write assertions of a lower level
        inf = open('data/db.model')
        a = marshal.load(inf)
        inf.close()
        assert ("User" == a['classDefs'][0]['name'])
