import os, sys
import marshal
# from ..backend.XMLStorage import XMLStorage
# from ..helpers import *
from RuleParser import RuleParser

class TestRuleParser(object):
    def test_rule_parser(self):
        """Test the rule parser"""
        r = RuleParser.parse("sample/rules.xml")
    
    def test_parser_marshal(self):
        """Test the marshaling of rules"""
        inf = open("data/db.rules")
        r = marshal.load(inf)
        inf.close()
        r = r[0]
        assert(r['name'] == 'simple_rule')
        assert(r['type'] == '1')
        assert(r['priority'] == '15')
        assert(r['message'] == 'user is invalid')
        assert(len(r['subrules']) == 2)
        s1 = r['subrules'][0]
        # print >> sys.stderr, s1
        assert(s1['name'] == 'subrule001')
        s2 = r['subrules'][1]
        # print >> sys.stderr, s2
        assert(len(s2['constraints']) == 2)
        
        