class Singleton(object):
    """ The implementation of a singleton"""
    def __new__(cls, *args, **kwargs):
        """make it a singleton"""
        if '__inst' not in vars(cls):
            cls.__inst = super(Singleton, cls).__new__(cls, *args, **kwargs)
        return cls.__inst
    