
def get_attr_list_from_model(model, cl):
    """Get the list of attrs from the model for the given class"""
    selected = -1
    for i in range(0, len(model['classDefs'])):
        if model['classDefs'][i]['name'] == cl:
            attrs = model['classDefs'][i]['attrs']
            break
    # I want them sorted, so they are never mixed up
    # in their order
    if attrs == None:
        return None
    attrs.sort()
    return attrs

def get_attrs_from_class(cl):
    """A simple helper that is needed to keep the order of the args."""
    attrs = cl['attrs']
    attrs.sort()
    return attrs