role(2, admin).
role(4, clerk).
role(7, editor).
group(1, users, 2).
user(2, 1, name1).
user(4, 1, name1).
user(2, 2, name2).
user(4, 3, name3).
user(7, 4, name4).
permission(0, root, 2).
permission(0, root4, 4).
permission(0, root7, 7).
user_role(A, B, C, A, D) :- user(A, B, C), role(A, D).
role_permission(E, F, G, H, E) :- role(E, F), permission(G, H, E).
role_group(I, J, K, L, I) :- role(I, J), group(K, L, I).
group_permission(M, N, O, M, P, O) :- group(M, N, O), permission(M, P, O).
user_permission(Q, R, S, Q, T, U, V, Q) :- user(Q, R, S), role(Q, T), permission(U, V, Q).
simple_rule(BC, BD, BE) :- user_permission(W, X, Y, W, Z, BA, BB, W), user_permission(Q, R, S, Q, T, U, V, Q), V = BC, S = Y, BB = BD, Y = BE.
